Opt Outs

List Opt-Outs

GET
/v1/OptOuts

Gets the list of all Opt-Outs that are registered for your Phone Numbers and/or TCR Campaigns. This method supports pagination.

AuthorizationBasic <token>

Basic Authorization header using the BASIC scheme. Use a pair companySid:token to access the API.

In: header

Query Parameters

Number?string

End-user number that opted out

CreatedOn?string

Created date

Formatdate-time
Scope?string

TollFree phone number (must start with country code e.g. +1...) or TCR Campaign Sid to which end-user is opted out

Lengthlength <= 128
PageSize?integer
Formatint32
Range1 <= value <= 10000
OrderByDirection?string

Possible values:

  • Ascending

  • Descending

Value in

  • "Ascending"
  • "Descending"
SearchId?string

Response Body

curl -X GET "https://example.com/v1/OptOuts"
{  "items": [    {      "number": "+12145678900",      "scope": "string",      "scopeType": "SenderPhoneNumber",      "createdOn": "2023-09-09T15:00:00.000Z"    }  ],  "searchId": "string"}
{  "errors": {    "Name": [      "The Name field is required."    ]  },  "type": "https://tools.ietf.org/html/rfc7231#section-6.5.1",  "title": "One or more validation errors occurred.",  "status": 400,  "detail": "Some detailed message",  "traceId": "|4ef17786-b103-420e-89c0-cc425ac14809.edfcbee9_"}